#define MAXCLONES			32

#define CLONE_FREE			0x0000
#define CLONE_DISCONNECTED		0x0001
#define CLONE_CONNECT			0x0002
#define CLONE_CONNECTED			0x0003
#define CLONE_REGISTERED		0x0004

#define CLONE_CHAN_SENTJOIN		0x00000001
#define CLONE_CHAN_ONCHAN		0x00000002
#define CLONE_CHAN_SELFJOIN		0x00000004
#define CLONE_CHAN_SENTPART		0x00000008
#define CLONE_CHAN_NEEDKEY		0x00000010
#define CLONE_CHAN_NEEDINVITE		0x00000020
#define CLONE_CHAN_NEEDLIMIT		0x00000040
#define CLONE_CHAN_BANNED		0x00000080
#define CLONE_CHAN_UNAVALIABLE		0x00000100
#define CLONE_CHAN_UNJOIN		0x000001F0
#define CLONE_CHAN_SENTWHO		0x00001000
#define CLONE_CHAN_SENTMODE		0x00002000
#define CLONE_CHAN_SENTBANLIST		0x00004000
#define CLONE_CHAN_SENTEXEMPTLIST	0x00008000
#define CLONE_CHAN_SENTINVITELIST	0x00010000
#define CLONE_CHAN_SYNCHED		0x00100000
#define CLONE_CHAN_SENTNAMES		0x00200000
#define CLONE_CHAN_GOTNAMES		0x00400000

struct sclonespecial {
    int cid;
};

struct sclonechan {
    int flags;
    int cmdcount;
    int synccid;
    time_t join;
};

struct sclone {
    int sid;
    int status;
    int penalty;
    time_t time;
    char nick[10];
    struct sclonechan channels[MAXCHANNELS];
};

struct sclonesstats {
    int connect;
    int connected;
    int registered;
};

struct sclone clonetab[MAXCLONES];
struct sclonesstats clonesstats;

char clonesserv[128];
int clonesservipv6=0;
int clonesport=6667;
