#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <sys/select.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <errno.h>
#include <unistd.h>
#include <fcntl.h>
#include <string.h>
#include <time.h>
#include <sys/time.h>

void dprintf(int fd, char *f, ...);

#include "calls.h"
#include "main.h"
#include "net.h"
#include "userlist.h"
#include "channel.h"
#include "clones.h"
#include "console.h"
#include "call.h"
//#include <.h>
//#include <.h>
//#include <.h>
//#include <.h>
#include "misc.c"
#include "error.c"
#include "net.c"
#include "userlist.c"
#include "channel.c"
#include "clones.c"
#include "console.c"
#include "call.c"
//#include ".c"

int main(int argc, char **argv) {
    int i=0, pid;
    char vhost[32];
    time_t lastclone=now;
    time_t last=now;
    printf("CrazyCow v1.1.1\n");
    printf("(C) Copyright Nowak 2001\n");
    printf("\n");
    if (argc == 2) {
	if (strcasecmp(argv[1], "-b") == 0) inbackground=1;
    }
    cname=(char *) malloc(128);
    sprintf(cname, "%cC%crazy%cC%cow", 0x02, 0x02, 0x02, 0x02);

    initnet();
    initconsole(12212);
    initclones();
    initchannels();
    ulload("crazycow.uf");
    setserver(0, "150.254.64.64", 6663);

    if (inbackground) {
	pid=fork();
	if (pid == (-1)) {
	    printf("fork() error.\n");
	    exit(1);
	} else if (pid) {
	    printf("\n*** CrazyCow launched into background (pid: %d)\n", pid);
	    exit(0);
	} else {
	    freopen("/dev/null", "r", stdin);
    	    freopen("/dev/null", "w", stdout);
	    freopen("/dev/null", "w", stderr);
	}
    }
    while (!shtdown) {
	now=time(NULL);
	socket_idle();
	cloneidle();
	flushmode();
	flushkick();
	flushinvite();
    }
    ulsave("crazycow.uf");
    now=time(NULL);
    while ((now+2) > time(NULL)) {}
    for (i=0; i < MAXSOCKETS; i++) if (socktab[i].type != SOCKTYPE_FREE) {
	socket_closeid(i);
    }
    free(cname);
    return 0;
}
